/**
 * EntityClassOrganization.java
 *
 * File generated from the medication::EntityClassOrganization uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassOrganization.
 *
 * 
 */

@XmlType(name = "EntityClassOrganization")
@XmlEnum
@XmlRootElement(name = "EntityClassOrganization")
public enum EntityClassOrganization {
	@XmlEnumValue("ORG")
	ORG("ORG"),
	@XmlEnumValue("PUB")
	PUB("PUB"),
	@XmlEnumValue("STATE")
	STATE("STATE"),
	@XmlEnumValue("NAT")
	NAT("NAT");
	
	private final String value;

    EntityClassOrganization(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static EntityClassOrganization fromValue(String v) {
        for (EntityClassOrganization c: EntityClassOrganization.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}